riscv64 packages are not published for impish

Bug #1943152 reported by Alexandre Ghiti
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sasmodels (Ubuntu)
Expired
Undecided
Unassigned

Bug Description

As can be seen here: https://launchpad.net/ubuntu/impish/+package/sasmodels-private-libs, the packages for riscv64 (and other architectures too) are not published for impish.

Attached debdiff adds only a new entry in the changelog to trigger a rebuild.

Tags: fr-1703
Revision history for this message
Alexandre Ghiti (alexghiti) wrote :
tags: added: fr-1703
Revision history for this message
Thomas Ward (teward) wrote :

I checked with Foundations team on this. The binaries for sasmodels were removed by doko due to FTBFS. I've handed this off to Steve Langasek (i.e. back to Foundations Team) for acting on this or not, because of the FTBFS binaries being removed.

I"m leaving Sponsors subscribed, pending me hearing back on this. If there's no action on this in a week I'll unsub sponsors.

Changed in sasmodels (Ubuntu):
status: New → Incomplete
Revision history for this message
Thomas Ward (teward) wrote :

Per Steve, I'm unsubscribing sponsors on this for now.

Revision history for this message
Steve Langasek (vorlon) wrote :

https://launchpad.net/ubuntu/hirsute/riscv64/sasmodels-private-libs shows the binary was removed with the rationale of "FTBFS" (fails to build from source). If this is no longer true, we can restore the binaries without a new upload. If it is true, we need more than just a new no-change upload. Can you say which it is?

Revision history for this message
Alexandre Ghiti (alexghiti) wrote :

The build actually failed in my ppa (https://launchpad.net/~alexghiti/+archive/ubuntu/riscv/+build/22072863) because it lacks python3-pyopencl which became unbuildable since it depends on pocl-opencl-icd (which is part of pocl) which at some point failed to build too.

But now pocl magically built 2 days ago on riscv64, but that should not have happened based on https://bugs.launchpad.net/ubuntu/+source/pocl/+bug/1942895. And I can't build it locally on my machine.

So I will update this bug when I have understood what happens with pocl.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for sasmodels (Ubuntu) because there has been no activity for 60 days.]

Changed in sasmodels (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers